.. program:: qvm-pool

:program:`qvm-pool` -- manage pools
===================================

Synopsis
--------
:command:`qvm-pool` [-h] [--verbose] [--quiet] [--help-drivers] [-o options] [-l | -i *NAME* | -a *NAME* *DRIVER* | -r *NAME*]

Options
-------

.. option:: --help, -h

    Show this help message and exit

.. option:: --quiet, -q

    Be quiet

.. option:: --verbose, -v

    Increase verbosity

.. option:: --help-drivers

    List all known drivers with their options. The listed driver options can be
    used with the ``-o options`` switch.

.. option:: -o options

    Comma separated list of driver options. See ``--help-drivers`` for a list of
    driver options.
    
.. option:: --list, -l

    List all pools.

.. option:: --info NAME, -i NAME

    Show information about a pool

.. option:: --add NAME DRIVER, -a NAME DRIVER

    Add a pool. For supported drivers and their options see ``--help-drivers``.
    Most of the drivers expect some kind of options.

.. option:: --remove NAME, -r NAME

    Remove a pool. This removes only the information about the pool in
    qubes.xml, but does not delete any content (FIXME: is it really true for
    all pool drivers?).

.. option:: --set NAME, -s NAME

    Modify a pool. This set options of a pool. Use ``--o`` to specify actual modifications.


Examples
--------

Create a pool backed by the `file` driver.
    
::

    qvm-pool -o dir_path=/mnt/foo -a foo file

Authors
-------
| Bahtiar \`kalkin-\` Gadimov <bahtiar at gadimov dot de> 
